# Installation Docker et Docker Compose

Mise à jour du système:
```bash
apt update && apt full-upgrade
```

Installation de composant
```bash
apt -y install apt-transport-https ca-certificates curl gnupg2 software-properties-common
```

Mise en place de la clé
```bash
curl -fsSL https://download.docker.com/linux/debian/gpg | gpg --dearmor -o /etc/apt/trusted.gpg.d/docker-archive-keyring.gpg
```

Mise en de la nouvelle repository officiel
```bash
add-apt-repository \
   "deb [arch=amd64] https://download.docker.com/linux/debian \
   $(lsb_release -cs) \
   stable"
```

Force mise à jour
```bash
apt update
```

Installation
```bash
apt install docker-ce docker-ce-cli containerd.io docker-compose-plugin -y
```

Mise en place du service
```bash
systemctl enable --now docker
```

Création compte utilisateur
```bash
usermod -aG docker $USER
```

Création groupe
```bash
newgrp docker
```
