# Liste des docker-compose.yml pour installation

Voici la liste des l'ensembles des docker-compose d'application que j'utilise.

| Type | Nom | Variable environnement | Alone | With Traefik | With Nginx | options | Site web |
|:-:|:-:|:-:|:-:|:-:|:-:|:-:|:-:|
| Data capture | [Debezium](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Debezium/ "Debezium") |||||| https://debezium.io |
| Vidéo | [Frigate](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Frigate/ "Frigate") |||||| https://frigate.video |
| Data capture | [Graylog](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Graylog/ "Graylog") |||✅||| https://graylog.org |
| Stokage/Partage | [Immich](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Immich/ "Immich") |||||| https://immich.app |
| | [Jaeger](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Jaeger/ "Jaeger") |||||| https://www.jaegertracing.io |
| Stream | [Jellyfin](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Jellyfin/ "Jellyfin") |||||| https://jellyfin.org |
| Stream | [Jitsi](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Jitsi/ "Jitsi") |✅||||| https://jitsi.org |
| Stream | [Kafka](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Kafka/ "Kafka") |||✅|| -   Mode cluster <br> -   Mode standalone | https://kafka.apache.org |
| | [Mediawiki](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Mediawiki/ "Mediawiki") |||||| https://www.mediawiki.org |
| | [Nginx](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Nginx/ "Nginx") |||||| https://www.nginx.com |
| | [Ollama](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Ollama/ "Ollama") |||||| https://ollama.com |
| | [Paperless-ngx](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Paperless-ngx/ "Paperless-ngx") |||||| https://docs.paperless-ngx.com |
| | [Semaphore](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Semaphore/ "Semaphore") |||✅||| https://www.semui.co |
| | [Sonarqube](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Sonarqube/ "Sonarqube")  |||||| https://www.sonarsource.com |

## Authentication
| Nom | Variable environnement | Alone | With Traefik | With Nginx | options | Site web |
|:-:|:-:|:-:|:-:|:-:|:-:|:-:|
| [Authelia](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Authelia/ "Authelia") ||✅|✅||| https://www.authelia.com |
| [Authentik](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Authentik/ "Authentik")|✅|✅|✅||| https://goauthentik.io |
| [Keycloak](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Keycloak/ "Keycloak") |||||| https://www.keycloak.org |

## Base de données et gestion
| Nom | Variable environnement | Alone | With Traefik | With Nginx | options | Site web |
|:-:|:-:|:-:|:-:|:-:|:-:|:-:|
| [Adminer](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Adminer/ "Adminer") ||✅|✅||| https://www.adminer.org |
| [ArangoDB](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/ArangoDB/ "ArangoDB") ||||||  |
| [CloudBeaver](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/CloudBeaver/ "CloudBeaver") ||||||  |
| [CouchDB](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/CouchDB/ "CouchDB") ||||||  |
| [MariaDB](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/MariaDB/ "MariaDB") ||||||  |
| [MySQL](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/MySQL/ "MySQL") ||||| -   Mode cluster <br> -    Mode standalone | https://www.mysql.com |
| [pgAdmin](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/pgAdmin/ "pgAdmin") |||||| https://www.pgadmin.org |
| [phpMyAdmin](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/phpMyAdmin/ "phpMyAdmin") |||||| https://www.phpmyadmin.net |
| [PostgreSQL](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/PostgreSQL/ "PostgreSQL") ||||| -   Mode replication <br> -    Mode standalone | https://www.postgresql.org | 
| [RabbitMQ](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/RabbitMQ/ "RabbitMQ") |||✅||| https://www.rabbitmq.com |
| [Redis](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Redis/ "Redis") |||||| https://redis.io |
| [RethinkDB](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/RethinkDB/ "RethinkDB") ||||||  |
| [Scylladb](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Scylladb/ "Scylladb") ||||| -   Mode cluster <br> -   Mode standalone | https://www.scylladb.com |
| [WunderBase](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/WunderBase/ "WunderBase") ||||||  |

## Fichier stockage
| Nom | Variable environnement | Alone | With Traefik | With Nginx | options | Site web |
|:-:|:-:|:-:|:-:|:-:|:-:|:-:|
| [Droppy](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Droppy/ "Droppy") ||||||  |
| [Chibisafe](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Chibisafe/ "Chibisafe") ||||||  |
| [FileGator](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/FileGator/ "FileGator") ||||||  |
| [FileRun](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/FileRun/ "FileRun") ||||||  |
| [Gokapi](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Gokapi/ "Gokapi") ||||||  |
| [Mega](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Mega/ "Mega") ||||||  |
| [Nextcloud](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Nextcloud/ "Nextcloud") |||||| https://nextcloud.com |
| [OwnCloud](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/OwnCloud/ "OwnCloud") ||||||  |
| [PicoShare](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/PicoShare/ "PicoShare") ||||||  |
| [Pingvin](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Pingvin/ "Pingvin") ||||||  |
| [Projectsend](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Projectsend/ "Projectsend") ||||||  |
| [PSiTransfer](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/PSiTransfer/ "PSiTransfer") ||||||  |
| [Pydio](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Pydio/ "Pydio") ||||||  |
| [Resilio-Sync](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Resilio-Sync/ "Resilio-Sync") ||||||  |
| [Seafile](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Seafile/ "Seafile") ||||||  |
| [Syncthing](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Syncthing/ "Syncthing") ||||||  |
| [XBackBone](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/XBackBone/ "XBackBone") ||||||  |

## Homepage - Dashboard - Raccourcissuer d'URL
| Nom | Variable environnement | Alone | With Traefik | With Nginx | options | Site web |
|:-:|:-:|:-:|:-:|:-:|:-:|:-:|
| [Astro](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Astro/ "Astro") ||||||  |
| [Bender](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Bender/ "Bender") ||||||  |
| [Dashy](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Dashy/ "Dashy") ||||||  |
| [Easy Gate](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/EasyGate/ "Easy Gate") ||||||  |
| [Fenrus](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Fenrus/ "Fenrus") ||||||  |
| [Flame](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Flame/ "Flame") ||||||  |
| [Heimdall](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Heimdall/ "Heimdall") ||||||  |
| [Homarr](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Homarr/ "Homarr") ||||||  |
| [Homepage](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Homepage/ "Homepage") |||||| https://gethomepage.dev |
| [Lynx](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Lynx/ "Lynx") ||||||  |
| [Organizr](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Organizr/ "Organizr") ||||||  |
| [Web Portal](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/WebPortal/ "Web Portal") ||||||  |
| [Yal](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Yal/ "Yal") ||||||  |
| [Reduced](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Reduced/ "Reduced") ||||||  |
| [Shlink](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Shlink/ "Shlink") ||||||  |
| [Slash](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Slash/ "Slash") ||||||  |
| [Snapp](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Snapp/ "Snapp") ||||||  |

## Intelligence Artificielle
| Nom | Variable environnement | Alone | With Traefik | With Nginx | options | Site web |
|:-:|:-:|:-:|:-:|:-:|:-:|:-:|
| [Basaran](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Basaran/ "Basaran") ||||||  |
| [Chat](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Chat/ "Chat") ||||||  |
| [Chatpad](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Chatpad/ "Chatpad") ||||||  |
| [FlowiseAI](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/FlowiseAI/ "FlowiseAI") ||||||  |
| [Langflow](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Langflow/ "Langflow") ||||||  |
| [LlamaGPT](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/LlamaGPT/ "LlamaGPT") ||||||  |
| [Serge](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Serge/ "Serge") ||||||  |
| [Stirling-PDF](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Stirling-PDF/ "Stirling-PDF") ||||||  |
| [Subvert](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Subvert/ "Subvert") ||||||  |

## IRC - Chat
| Nom | Variable environnement | Alone | With Traefik | With Nginx | options | Site web |
|:-:|:-:|:-:|:-:|:-:|:-:|:-:|
| [Convos](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Convos/ "Convos") ||||||  |
| [IRC Client](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Wordle/ "IRC Client") ||||||  |
| [Pidgin](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Pidgin/ "Pidgin") ||||||  |
| [TheLounge](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/TheLounge/ "TheLounge") ||||||  |

## Jeux
| Nom | Variable environnement | Alone | With Traefik | With Nginx | options | Site web |
|:-:|:-:|:-:|:-:|:-:|:-:|:-:|
| ![Bedrock](./Jeux/Bedrock/img/banniere-Bedrock-00.png)<br>[Bedrock](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Jeux/Bedrock/ "Bedrock") ||||||  |
| ![Minecraft](./Jeux/Minecraft/img/banniere-Minecraft-00.png)<br> [Minecraft](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Jeux/Minecraft/ "Minecraft") ||||||  |
| ![Minetest](./Jeux/Minetest/img/banniere-Minetest-00.png)<br> [Minetest](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Jeux/Minetest/ "Minetest") ||||||  |
| ![Palworld](./Jeux/Palworld/img/banniere-Palworld-00.png)<br> [Palworld](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Jeux/Palworld/ "Palworld") ||||||  |
| ![Terraria](./Jeux/Terraria/img/banniere-Terraria-00.png)<br> [Terraria](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Jeux/Terraria/ "Terraria") ||||||  |
| ![Wordle](./Jeux/Wordle/img/banniere-Wordle-00.png)<br> [Wordle](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Jeux/Wordle/ "Wordle") ||||||  |

## Kanban
| Nom | Variable environnement | Alone | With Traefik | With Nginx | options | Site web |
|:-:|:-:|:-:|:-:|:-:|:-:|:-:|
| [Focalboard](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Focalboard/ "Focalboard") ||||||  |
| [Kanboard](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Kanboard/ "Kanboard") ||||||  |
| [Planka](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Planka/ "Planka") ||||||  |
| [Taiga](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Taiga/ "Taiga") ||||||  |
| [Wekan](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Wekan/ "Wekan") ||||||  |

## Maison connecté
| Nom | Variable environnement | Alone | With Traefik | With Nginx | options | Site web |
|:-:|:-:|:-:|:-:|:-:|:-:|:-:|
| [Domoticz](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Domoticz/ "Domoticz") ||||||  |
| [Eclipse Mosquitto](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/EclipseMosquitto/ "Eclipse Mosquitto") ||||||  |
| [Gladys Assistant](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/GladysAssistant/ "Gladys Assistant") ||||||  |
| [Home Assistant](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/HomeAssistant/ "Home Assistant") ||||||  |
| [Home Assistant Supervisor](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/HomeAssistantSupervisor/ "Home Assistant Supervisor") ||||||  |
| [Homebox](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Homebox/ "Homebox") ||||||  |
| [Homebridge](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Homebridge/ "Homebridge") ||||||  |
| [HOOBS](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/HOOBS/ "HOOBS") ||||||  |
| [ioBroker](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/ioBroker/ "ioBroker") ||||||  |
| [OpenHAB](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/OpenHAB/ "OpenHAB") ||||||  |
| [Scrypted](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Scrypted/ "Scrypted") ||||||  |
| [TasmoAdmin](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/TasmoAdmin/ "TasmoAdmin") ||||||  |

## Messagerie
| Nom | Variable environnement | Alone | With Traefik | With Nginx | options | Site web |
|:-:|:-:|:-:|:-:|:-:|:-:|:-:|
| [Gotify](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Gotify/ "Gotify") |✅|✅|✅||| https://gotify.net |

## Monitoring
| Nom | Variable environnement | Alone | With Traefik | With Nginx | options | Site web |
|:-:|:-:|:-:|:-:|:-:|:-:|:-:|
| [Checkmk](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Checkmk/ "Checkmk") ||||||  |
| [Healthchecks](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Healthchecks/ "Healthchecks") ||||||  |
| [Librenms](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Librenms/ "Librenms") |||||| https://www.librenms.org |
| [Netdat](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Netdat/ "Netdat") ||||||  |
| [ntop](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/ntop/ "ntop") ||||||  |
| [Prometheus-Grafana](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Prometheus-Grafana/ "Prometheus-Grafana") |||✅||| https://prometheus.io |
| [Web-Check](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Web-Check/ "Web-Check") ||||||  |
| [Zabbix](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Zabbix/ "Zabbix") ||||||  |

## Ordonnanceur
| Nom | Variable environnement | Alone | With Traefik | With Nginx | options | Site web |
|:-:|:-:|:-:|:-:|:-:|:-:|:-:|
| [Airflow](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Airflow/ "Airflow") ||✅|✅||| https://airflow.apache.org |
| [Rundeck](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Rundeck/ "Rundeck") |||||| https://www.rundeck.com/ |

## Outils
 Nom | Variable environnement | Alone | With Traefik | With Nginx | options | Site web |
|:-:|:-:|:-:|:-:|:-:|:-:|:-:|
| [ArchiveBox](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Changedetection](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Chromium](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [CyberChef](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Dash](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Doku](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Firefox](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Glances](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Golinks](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Guacamole](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Guacamole/ "Guacamole") |||✅|✅|| https://guacamole.apache.org |
| [HandBrake](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Hauk](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [HRConvert2](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Huginn](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [IPFS](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [IT-Tools](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [LibreTranslate](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [LibreWolf](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [MagicMirror](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Mullvad Browser](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Nginx Proxy Manager](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Opera](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [PwGen](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [QR Code Generator](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Remmina](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Remotely](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [RustDesk](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Shellngn](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [SmokePing](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Snapdrop](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Sshwifty](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Tor Browser](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Ward](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Webtop](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Wireshark](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |

## Principaux
| Nom | Variable environnement | Alone | With Traefik | With Nginx | options | Site web |
|:-:|:-:|:-:|:-:|:-:|:-:|:-:|
| [Dockge](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Dockge/ "Dockge") ||||||  |
| [Dozzle](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Dozzle/ "Dozzle") ||||||  |
| [Portainer](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Portainer/ "Portainer") |||||| https://www.portainer.io |
| [Rancher](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Rancher/ "Rancher") ||||||  |
| [Rapid Dashboard](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/RapidDashboard/ "Rapid Dashboard") ||||||  |
| [Watchtower](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Watchtower/ "Watchtower") ||||||  |
| [WUD](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/WUD/ "WUD") ||||||  |
| [Yacht](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Yacht/ "Yacht") ||||||  |

## Production
| Nom | Variable environnement | Alone | With Traefik | With Nginx | options | Site web |
|:-:|:-:|:-:|:-:|:-:|:-:|:-:|
| [Activepieces](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Production// "") ||||||  |
| [Affine](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Production// "") ||||||  |
| [Automatisch](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Production// "") ||||||  |
| [Baserow](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Production// "") ||||||  |
| [Budibase](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Production// "") ||||||  |
| [Chatwoot](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Production// "") ||||||  |
| [ChiefOnboarding](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Production// "") ||||||  |
| [Code-Server](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Production/Code-Server/ "Code-Server") ||||||
| [Crawlab](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Production// "") ||||||  |
| [Directus](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Production// "") ||||||  |
| [Dokemon](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Production// "") ||||||  |
| [DopplerTask](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Production// "") ||||||  |
| [Draw.io](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Production// "") ||||||  |
| [Duplicati](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Production// "") ||||||  |
| [Etherpad](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Production// "") ||||||  |
| [Excalidraw](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Production// "") ||||||  |
| [Forgejo](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Production// "") ||||||  |
| [Gitness](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [GitQlient](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [HedgeDoc](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Homechart](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Hoppscotch](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Jira](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Jupyter](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Karrio](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [KiCad](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Kimai](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [LanguageTool](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Leantime](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Let’s Markdown](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [LimeSurvey](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [LinkStack](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [LogPaste](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Mautic](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Metabase](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Metabase/ "Metabase") |||||| https://www.metabase.com |
| [n8n](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [NetBox](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [NocoBase](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [NocoDB](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Node-RED](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Obsidian](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Openblocks](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Opengist](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [OpenProject](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [OrangeHRM](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Penpot](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Plane](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [PlantUML](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [PupCloud](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Pylon](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Redmine](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [SiYuan](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Snipe-IT](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Snippet Box](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Splunk](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Strapi](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Taisun](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [TeamMapper](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Theia](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [ThingsBoard](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Traggo](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Vikunja](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [VSCodium](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Weblate](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [WBO](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [Yaade](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |
| [YouTrack](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main// "") ||||||  |

## Repository
| Nom | Variable environnement | Alone | With Traefik | With Nginx | options | Site web |
|:-:|:-:|:-:|:-:|:-:|:-:|:-:|
| [Gitea](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Gitea/ "Gitea") |||||| https://www.gitea.com |
| [Github Desktop
| [Harbor](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Harbor/ "Harbor") |||||| https://goharbor.io |

## Réseau
| Nom | Variable environnement | Alone | With Traefik | With Nginx | options | Site web |
|:-:|:-:|:-:|:-:|:-:|:-:|:-:|
| [AdGuard](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/AdGuard/ "AdGuard") ||||||  |
| [Cloudflare-Tunnel](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Cloudflare-Tunnel/ "Cloudflare-Tunnel") |||||| https://www.cloudflare.com |
| [Crowdsec](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Crowdsec/ "Crowdsec") |||||| https://www.crowdsec.net |
| [Gravity](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Gravity/ "Gravity") ||||||  |
| [MySpeed](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/MySpeed/ "MySpeed") ||||||  |
| [OpenSpeedTest](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/OpenSpeedTest/ "OpenSpeedTest") ||||||  |
| [Pihole](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Pihole/ "Pihole") |||||| https://pi-hole.net |
| [Pi.Alert](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Pi.Alert/ "Pi.Alert") ||||||  |
| [SpeedTest](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/SpeedTest/ "SpeedTest") ||||||  |
| [Speedtest Tracker](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Speedtest Tracker/ "Speedtest Tracker") ||||||  |
| [Traefik](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Traefik/ "Traefik") |||||| https://traefik.io |
| [Unifi Controller](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/nifi Controller/ "nifi Controller") ||||||  |
| [UniFi Network Controller](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/UniFi Network Controller/ "UniFi Network Controller") ||||||  |
| [UpSnap](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/UpSnap/ "UpSnap") ||||||  |
| [TP-Link Omada Controlle](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/TP-Link Omada Controlle/ "TP-Link Omada Controlle") ||||||  |
| [WatchYourLAN](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/WatchYourLAN/ "WatchYourLAN") ||||||  |

## Securite
| Nom | Variable environnement | Alone | With Traefik | With Nginx | options | Site web |
|:-:|:-:|:-:|:-:|:-:|:-:|:-:|
| [2fauth](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/2fauth/ "2fauth") ||||||  |
| [AnonFiles](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/AnonFiles/ "AnonFiles") ||||||  |
| [BitWarden](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/BitWarden/ "BitWarden") ||||||  |
| [Cryptgeon](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Cryptgeon/ "Cryptgeon") ||||||  |
| [FlashPaper](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/FlashPaper/ "FlashPaper") ||||||  |
| [Hastebin](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Hastebin/ "Hastebin") ||||||  |
| [Hasty Paste](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/HastyPaste/ "Hasty Paste") ||||||  |
| [Hemmelig](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Hemmelig/ "Hemmelig") ||||||  |
| [iSpy](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/iSpy/ "iSpy") ||||||  |
| [KeePassXC](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/KeePassXC/ "KeePassXC") ||||||  |
| [LenPaste](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/LenPaste/ "LenPaste") ||||||  |
| [MicroBin](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/MicroBin/ "MicroBin") ||||||  |
| [Pashword](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Pashword/ "Pashword") ||||||  |
| [Passbolt](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Passbolt/ "Passbolt") ||||||  |
| [Pastefy](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Pastefy/ "Pastefy") ||||||  |
| [Password Pusher](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/PasswordPusher/ "Password Pusher") ||||||  |
| [PrivateBin](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/PrivateBin/ "PrivateBin") ||||||  |
| [Pwndrop](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Pwndrop/ "Pwndrop") ||||||  |
| [Restreamer](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Restreamer/ "Restreamer") ||||||  |
| [Vault](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Vault/ "Vault") ||||||  |
| [Vaultwarden](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Vaultwarden/ "Vaultwarden") ||||||  |
| [Yopass](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Yopass/ "Yopass") ||||||  |

## Sondages
 Nom | Variable environnement | Alone | With Traefik | With Nginx | options | Site web |
|:-:|:-:|:-:|:-:|:-:|:-:|:-:|
| [Formbricks](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Formbricks/ "Formbricks") ||||||  |
| [Rallly](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/Rallly/ "Rallly") ||||||  |

## Ticketing
 Nom | Variable environnement | Alone | With Traefik | With Nginx | options | Site web |
|:-:|:-:|:-:|:-:|:-:|:-:|:-:|
| [GLPI](https://git.tips-of-mine.fr/Tips-Of-Mine/Docker/src/branch/main/GLPI/ "GLPI") ||||||  |

