![Harbor](./img/banniere-Harbor.png)
URL : https://github.com/teslamate-org/teslamate

# Harbor 



# Téléchargement, Configuration et Lancement

## Téléchargement de Harbor

Saisir la commande pour télécharger la source
```bash
git clone https://git.tips-of-mine.fr/Tips-Of-Mine/Docker.git
```

Saisir la commande pour vous rendre dans le dossier
```bash
cd Repository\Harbor
```

## Modifier la configuration de Harbor

Saisir la commande pour vous rendre dans le dossier
```bash
cd Repository\Harbor
```

Modifier le fichier Habor.yml
```bash
nano harbor.yml
```

Commenter les lignes comme ci-dessous, ainsi que de modifier le port par default
```bash
# Configuration file of Harbor

# The IP address or hostname to access admin UI and registry service.
# DO NOT use localhost or 127.0.0.1, because Harbor needs to be accessed by external clients.
hostname: registry.traefik.me

# http related config
http:
  # port for http, default is 80. If https enabled, this port will redirect to https port
  port: 8083

# https related config
##https:
  # https port for harbor, default is 443
##  port: 443
  # The path of cert and key files for nginx
##  certificate: /your/certificate/path
##  private_key: /your/private/key/path
  # enable strong ssl ciphers (default: false)
  # strong_ssl_ciphers: false

# # Harbor will set ipv4 enabled only by default if this block is not configured
# # Otherwise, please uncomment this block to configure your own ip_family stacks
# ip_family:
#   # ipv6Enabled set to true if ipv6 is enabled in docker network, currently it affected the nginx related component
#   ipv6:
#     enabled: false
#   # ipv4Enabled set to true by default, currently it affected the nginx related component
#   ipv4:
#     enabled: true

# # Uncomment following will enable tls communication between all harbor components
# internal_tls:
#   # set enabled to true means internal tls is enabled
#   enabled: true
#   # put your cert and key files on dir
#   dir: /etc/harbor/tls/internal


# Uncomment external_url if you want to enable external proxy
# And when it enabled the hostname will no longer used
external_url: https://registry.traefik.me
```

Nous éditons le fichier de configuration
```bash
./prepare --with-trivy
```

Stop Harbor
```bash
 docker compose stop && docker compose rm -f
```

Editer le fichier de configuration Nginx
```bash
nano common/config/nginx/nginx.conf
```

Commentaire les lignes
```bash
proxy_set_header X-Forwarded-Proto $x_forwarded_proto;
```

Relancer Harbor
```bash
docker compose up -d
```

Nous modifions les variables dont nous avons besoin.

## Lancement de Harbor

Pour utiliser Harbor tout seul
```bash
docker compose up -d
```

Pour utiliser Harbor avec Traefik
```bash
docker compose -f docker-compose-traefik.yml up -d
```

# Utilisation

## Accueil

Ouvrir une page web avec l'url :
Pour une utilisation tout seul

	http://10.0.4.29:3000

Pour une utilisation avec Traefik

	https://Harbor.10.0.4.29.traefik.me`)"


# More info
- more information on the website [Tips-Of-Mine](https://www.tips-of-mine.fr/)

# Buy me a coffe
<a href='https://ko-fi.com/R5R2KNI3N' target='_blank'><img height='36' style='border:0px;height:36px;' src='https://storage.ko-fi.com/cdn/kofi4.png?v=3' border='0' alt='Buy Me a Coffee at ko-fi.com' /></a>
